# Definitional proc to organize widgets for parameters.

proc init_gui { IPINST } {

	set Component_Name [ipgui::add_param $IPINST -parent $IPINST -name Component_Name]
   
	set Page0 [ipgui::add_page $IPINST -name "Configuration parameters" -layout vertical]
        set tabgroup0 [ipgui::add_group $IPINST -parent $Page0 -name "AXI4 Master Parameters" -layout vertical]
            set C_M_AXI_DATAWIDTH [ipgui::add_param $IPINST -parent $tabgroup0 -name C_M_AXI_DATAWIDTH -widget comboBox]
            set M_AXI_ClkFreq_g [ipgui::add_param $IPINST -parent $tabgroup0 -name M_AXI_ClkFreq_g]
            set MaxBurstLength_g [ipgui::add_param $IPINST -parent $tabgroup0 -name MaxBurstLength_g -widget comboBox]
        set tabgroup1 [ipgui::add_group $IPINST -parent $Page0 -name "General" -layout vertical]   
            set DispClkFreq_g [ipgui::add_param $IPINST -parent $tabgroup1 -name DispClkFreq_g]
            set ColorWidth_g [ipgui::add_param $IPINST -parent $tabgroup1 -name ColorWidth_g -widget comboBox]
            set RdFifoDepth_g [ipgui::add_param $IPINST -parent $tabgroup1 -name RdFifoDepth_g]
            set RdFifoFillLevel_g [ipgui::add_param $IPINST -parent $tabgroup1 -name RdFifoFillLevel_g]
            set_property tooltip "Set to RdFifoDepth_g-MaxBurstLength_g" $RdFifoFillLevel_g
            set UseAsyncFifos_g [ipgui::add_param $IPINST -parent $tabgroup1 -name UseAsyncFifos_g]
            set EnableBrightness_g [ipgui::add_param $IPINST -parent $tabgroup1 -name EnableBrightness_g]
            set BrightPMWDiv_g [ipgui::add_param $IPINST -parent $tabgroup1 -name BrightPMWDiv_g]
            set_property tooltip "AXI4 Slave (register) clock is the reference. This clock is already pre-divided with 256." $BrightPMWDiv_g
        set tabgroup2 [ipgui::add_group $IPINST -parent $Page0 -name "Video Timing" -layout vertical]  
            set HResolution_g [ipgui::add_param $IPINST -parent $tabgroup2 -name HResolution_g]
            set HSyncPulseWidth_g [ipgui::add_param $IPINST -parent $tabgroup2 -name HSyncPulseWidth_g]
            set HFrontPorchLength_g [ipgui::add_param $IPINST -parent $tabgroup2 -name HFrontPorchLength_g]
            set HBackPorchLength_g [ipgui::add_param $IPINST -parent $tabgroup2 -name HBackPorchLength_g]
            set HSyncPulsePol_g [ipgui::add_param $IPINST -parent $tabgroup2 -name HSyncPulsePol_g -widget comboBox]
            set VResolution_g [ipgui::add_param $IPINST -parent $tabgroup2 -name VResolution_g]
            set VSyncPulseWidth_g [ipgui::add_param $IPINST -parent $tabgroup2 -name VSyncPulseWidth_g]
            set VFrontPorchLength_g [ipgui::add_param $IPINST -parent $tabgroup2 -name VFrontPorchLength_g]
            set VBackPorchLength_g [ipgui::add_param $IPINST -parent $tabgroup2 -name VBackPorchLength_g]
            set VSyncPulsePol_g [ipgui::add_param $IPINST -parent $tabgroup2 -name VSyncPulsePol_g -widget comboBox]
            set BlackFramesPU_g [ipgui::add_param $IPINST -parent $tabgroup2 -name BlackFramesPU_g]
            set BlackFramesPD_g [ipgui::add_param $IPINST -parent $tabgroup2 -name BlackFramesPD_g]
	
}

proc update_PARAM_VALUE.M_AXI_ClkFreq_g { PARAM_VALUE.M_AXI_ClkFreq_g } {
	# Procedure called to update M_AXI_ClkFreq_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.M_AXI_ClkFreq_g { PARAM_VALUE.M_AXI_ClkFreq_g } {
	# Procedure called to validate M_AXI_ClkFreq_g
	return true
}

proc update_PARAM_VALUE.DispClkFreq_g { PARAM_VALUE.DispClkFreq_g } {
	# Procedure called to update DispClkFreq_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.DispClkFreq_g { PARAM_VALUE.DispClkFreq_g } {
	# Procedure called to validate DispClkFreq_g
	return true
}

proc update_PARAM_VALUE.UseAsyncFifos_g { PARAM_VALUE.UseAsyncFifos_g } {
	# Procedure called to update UseAsyncFifos_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.UseAsyncFifos_g { PARAM_VALUE.UseAsyncFifos_g } {
	# Procedure called to validate UseAsyncFifos_g
	return true
}

proc update_PARAM_VALUE.RdFifoFillLevel_g { PARAM_VALUE.RdFifoFillLevel_g } {
	# Procedure called to update RdFifoFillLevel_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.RdFifoFillLevel_g { PARAM_VALUE.RdFifoFillLevel_g } {
	# Procedure called to validate RdFifoFillLevel_g
	return true
}

proc update_PARAM_VALUE.RdFifoDepth_g { PARAM_VALUE.RdFifoDepth_g } {
	# Procedure called to update RdFifoDepth_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.RdFifoDepth_g { PARAM_VALUE.RdFifoDepth_g } {
	# Procedure called to validate RdFifoDepth_g
	return true
}

proc update_PARAM_VALUE.BlackFramesPD_g { PARAM_VALUE.BlackFramesPD_g } {
	# Procedure called to update BlackFramesPD_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.BlackFramesPD_g { PARAM_VALUE.BlackFramesPD_g } {
	# Procedure called to validate BlackFramesPD_g
	return true
}

proc update_PARAM_VALUE.BlackFramesPU_g { PARAM_VALUE.BlackFramesPU_g } {
	# Procedure called to update BlackFramesPU_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.BlackFramesPU_g { PARAM_VALUE.BlackFramesPU_g } {
	# Procedure called to validate BlackFramesPU_g
	return true
}

proc update_PARAM_VALUE.VBackPorchLength_g { PARAM_VALUE.VBackPorchLength_g } {
	# Procedure called to update VBackPorchLength_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.VBackPorchLength_g { PARAM_VALUE.VBackPorchLength_g } {
	# Procedure called to validate VBackPorchLength_g
	return true
}

proc update_PARAM_VALUE.VFrontPorchLength_g { PARAM_VALUE.VFrontPorchLength_g } {
	# Procedure called to update VFrontPorchLength_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.VFrontPorchLength_g { PARAM_VALUE.VFrontPorchLength_g } {
	# Procedure called to validate VFrontPorchLength_g
	return true
}

proc update_PARAM_VALUE.VSyncPulsePol_g { PARAM_VALUE.VSyncPulsePol_g } {
	# Procedure called to update VSyncPulsePol_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.VSyncPulsePol_g { PARAM_VALUE.VSyncPulsePol_g } {
	# Procedure called to validate VSyncPulsePol_g
	return true
}

proc update_PARAM_VALUE.VSyncPulseWidth_g { PARAM_VALUE.VSyncPulseWidth_g } {
	# Procedure called to update VSyncPulseWidth_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.VSyncPulseWidth_g { PARAM_VALUE.VSyncPulseWidth_g } {
	# Procedure called to validate VSyncPulseWidth_g
	return true
}

proc update_PARAM_VALUE.VResolution_g { PARAM_VALUE.VResolution_g } {
	# Procedure called to update VResolution_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.VResolution_g { PARAM_VALUE.VResolution_g } {
	# Procedure called to validate VResolution_g
	return true
}

proc update_PARAM_VALUE.HBackPorchLength_g { PARAM_VALUE.HBackPorchLength_g } {
	# Procedure called to update HBackPorchLength_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.HBackPorchLength_g { PARAM_VALUE.HBackPorchLength_g } {
	# Procedure called to validate HBackPorchLength_g
	return true
}

proc update_PARAM_VALUE.HFrontPorchLength_g { PARAM_VALUE.HFrontPorchLength_g } {
	# Procedure called to update HFrontPorchLength_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.HFrontPorchLength_g { PARAM_VALUE.HFrontPorchLength_g } {
	# Procedure called to validate HFrontPorchLength_g
	return true
}

proc update_PARAM_VALUE.HSyncPulsePol_g { PARAM_VALUE.HSyncPulsePol_g } {
	# Procedure called to update HSyncPulsePol_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.HSyncPulsePol_g { PARAM_VALUE.HSyncPulsePol_g } {
	# Procedure called to validate HSyncPulsePol_g
	return true
}

proc update_PARAM_VALUE.HSyncPulseWidth_g { PARAM_VALUE.HSyncPulseWidth_g } {
	# Procedure called to update HSyncPulseWidth_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.HSyncPulseWidth_g { PARAM_VALUE.HSyncPulseWidth_g } {
	# Procedure called to validate HSyncPulseWidth_g
	return true
}

proc update_PARAM_VALUE.HResolution_g { PARAM_VALUE.HResolution_g } {
	# Procedure called to update HResolution_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.HResolution_g { PARAM_VALUE.HResolution_g } {
	# Procedure called to validate HResolution_g
	return true
}

proc update_PARAM_VALUE.BrightPMWDiv_g { PARAM_VALUE.BrightPMWDiv_g } {
	# Procedure called to update BrightPMWDiv_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.BrightPMWDiv_g { PARAM_VALUE.BrightPMWDiv_g } {
	# Procedure called to validate BrightPMWDiv_g
	return true
}

proc update_PARAM_VALUE.EnableBrightness_g { PARAM_VALUE.EnableBrightness_g } {
	# Procedure called to update EnableBrightness_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.EnableBrightness_g { PARAM_VALUE.EnableBrightness_g } {
	# Procedure called to validate EnableBrightness_g
	return true
}

proc update_PARAM_VALUE.MaxBurstLength_g { PARAM_VALUE.MaxBurstLength_g } {
	# Procedure called to update MaxBurstLength_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.MaxBurstLength_g { PARAM_VALUE.MaxBurstLength_g } {
	# Procedure called to validate MaxBurstLength_g
	return true
}

proc update_PARAM_VALUE.ColorWidth_g { PARAM_VALUE.ColorWidth_g } {
	# Procedure called to update ColorWidth_g when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.ColorWidth_g { PARAM_VALUE.ColorWidth_g } {
	# Procedure called to validate ColorWidth_g
	return true
}

proc update_PARAM_VALUE.C_M_AXI_DATAWIDTH { PARAM_VALUE.C_M_AXI_DATAWIDTH } {
	# Procedure called to update C_M_AXI_DATAWIDTH when any of the dependent parameters in the arguments change
}

proc validate_PARAM_VALUE.C_M_AXI_DATAWIDTH { PARAM_VALUE.C_M_AXI_DATAWIDTH } {
	# Procedure called to validate C_M_AXI_DATAWIDTH
	return true
}


proc update_MODELPARAM_VALUE.C_M_AXI_DATAWIDTH { MODELPARAM_VALUE.C_M_AXI_DATAWIDTH PARAM_VALUE.C_M_AXI_DATAWIDTH } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.C_M_AXI_DATAWIDTH}] ${MODELPARAM_VALUE.C_M_AXI_DATAWIDTH}
}

proc update_MODELPARAM_VALUE.C_S_AXI_BASEADDR { MODELPARAM_VALUE.C_S_AXI_BASEADDR } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "C_S_AXI_BASEADDR". Setting updated value from the model parameter.
set_property value 0x00000000 ${MODELPARAM_VALUE.C_S_AXI_BASEADDR}
}

proc update_MODELPARAM_VALUE.C_S_AXI_HIGHADDR { MODELPARAM_VALUE.C_S_AXI_HIGHADDR } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	# WARNING: There is no corresponding user parameter named "C_S_AXI_HIGHADDR". Setting updated value from the model parameter.
set_property value 0xFFFFFFFF ${MODELPARAM_VALUE.C_S_AXI_HIGHADDR}
}

proc update_MODELPARAM_VALUE.ColorWidth_g { MODELPARAM_VALUE.ColorWidth_g PARAM_VALUE.ColorWidth_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.ColorWidth_g}] ${MODELPARAM_VALUE.ColorWidth_g}
}

proc update_MODELPARAM_VALUE.MaxBurstLength_g { MODELPARAM_VALUE.MaxBurstLength_g PARAM_VALUE.MaxBurstLength_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.MaxBurstLength_g}] ${MODELPARAM_VALUE.MaxBurstLength_g}
}

proc update_MODELPARAM_VALUE.EnableBrightness_g { MODELPARAM_VALUE.EnableBrightness_g PARAM_VALUE.EnableBrightness_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.EnableBrightness_g}] ${MODELPARAM_VALUE.EnableBrightness_g}
}

proc update_MODELPARAM_VALUE.BrightPMWDiv_g { MODELPARAM_VALUE.BrightPMWDiv_g PARAM_VALUE.BrightPMWDiv_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.BrightPMWDiv_g}] ${MODELPARAM_VALUE.BrightPMWDiv_g}
}

proc update_MODELPARAM_VALUE.HResolution_g { MODELPARAM_VALUE.HResolution_g PARAM_VALUE.HResolution_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.HResolution_g}] ${MODELPARAM_VALUE.HResolution_g}
}

proc update_MODELPARAM_VALUE.HSyncPulseWidth_g { MODELPARAM_VALUE.HSyncPulseWidth_g PARAM_VALUE.HSyncPulseWidth_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.HSyncPulseWidth_g}] ${MODELPARAM_VALUE.HSyncPulseWidth_g}
}

proc update_MODELPARAM_VALUE.HSyncPulsePol_g { MODELPARAM_VALUE.HSyncPulsePol_g PARAM_VALUE.HSyncPulsePol_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.HSyncPulsePol_g}] ${MODELPARAM_VALUE.HSyncPulsePol_g}
}

proc update_MODELPARAM_VALUE.HFrontPorchLength_g { MODELPARAM_VALUE.HFrontPorchLength_g PARAM_VALUE.HFrontPorchLength_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.HFrontPorchLength_g}] ${MODELPARAM_VALUE.HFrontPorchLength_g}
}

proc update_MODELPARAM_VALUE.HBackPorchLength_g { MODELPARAM_VALUE.HBackPorchLength_g PARAM_VALUE.HBackPorchLength_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.HBackPorchLength_g}] ${MODELPARAM_VALUE.HBackPorchLength_g}
}

proc update_MODELPARAM_VALUE.VResolution_g { MODELPARAM_VALUE.VResolution_g PARAM_VALUE.VResolution_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.VResolution_g}] ${MODELPARAM_VALUE.VResolution_g}
}

proc update_MODELPARAM_VALUE.VSyncPulseWidth_g { MODELPARAM_VALUE.VSyncPulseWidth_g PARAM_VALUE.VSyncPulseWidth_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.VSyncPulseWidth_g}] ${MODELPARAM_VALUE.VSyncPulseWidth_g}
}

proc update_MODELPARAM_VALUE.VSyncPulsePol_g { MODELPARAM_VALUE.VSyncPulsePol_g PARAM_VALUE.VSyncPulsePol_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.VSyncPulsePol_g}] ${MODELPARAM_VALUE.VSyncPulsePol_g}
}

proc update_MODELPARAM_VALUE.VFrontPorchLength_g { MODELPARAM_VALUE.VFrontPorchLength_g PARAM_VALUE.VFrontPorchLength_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.VFrontPorchLength_g}] ${MODELPARAM_VALUE.VFrontPorchLength_g}
}

proc update_MODELPARAM_VALUE.VBackPorchLength_g { MODELPARAM_VALUE.VBackPorchLength_g PARAM_VALUE.VBackPorchLength_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.VBackPorchLength_g}] ${MODELPARAM_VALUE.VBackPorchLength_g}
}

proc update_MODELPARAM_VALUE.BlackFramesPU_g { MODELPARAM_VALUE.BlackFramesPU_g PARAM_VALUE.BlackFramesPU_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.BlackFramesPU_g}] ${MODELPARAM_VALUE.BlackFramesPU_g}
}

proc update_MODELPARAM_VALUE.BlackFramesPD_g { MODELPARAM_VALUE.BlackFramesPD_g PARAM_VALUE.BlackFramesPD_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.BlackFramesPD_g}] ${MODELPARAM_VALUE.BlackFramesPD_g}
}

proc update_MODELPARAM_VALUE.RdFifoDepth_g { MODELPARAM_VALUE.RdFifoDepth_g PARAM_VALUE.RdFifoDepth_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.RdFifoDepth_g}] ${MODELPARAM_VALUE.RdFifoDepth_g}
}

proc update_MODELPARAM_VALUE.RdFifoFillLevel_g { MODELPARAM_VALUE.RdFifoFillLevel_g PARAM_VALUE.RdFifoFillLevel_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.RdFifoFillLevel_g}] ${MODELPARAM_VALUE.RdFifoFillLevel_g}
}

proc update_MODELPARAM_VALUE.UseAsyncFifos_g { MODELPARAM_VALUE.UseAsyncFifos_g PARAM_VALUE.UseAsyncFifos_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.UseAsyncFifos_g}] ${MODELPARAM_VALUE.UseAsyncFifos_g}
}

proc update_MODELPARAM_VALUE.DispClkFreq_g { MODELPARAM_VALUE.DispClkFreq_g PARAM_VALUE.DispClkFreq_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.DispClkFreq_g}] ${MODELPARAM_VALUE.DispClkFreq_g}
}

proc update_MODELPARAM_VALUE.M_AXI_ClkFreq_g { MODELPARAM_VALUE.M_AXI_ClkFreq_g PARAM_VALUE.M_AXI_ClkFreq_g } {
	# Procedure called to set VHDL generic/Verilog parameter value(s) based on TCL parameter value
	set_property value [get_property value ${PARAM_VALUE.M_AXI_ClkFreq_g}] ${MODELPARAM_VALUE.M_AXI_ClkFreq_g}
}

